
 LinHES - Bug # 950: serial ir receiver doesn't always work on boot

Status: Closed Priority: Normal
Author: jams Category: Packages: Core
Created: 12/27/2013 Assignee: jams
Updated: 01/03/2014 Due date:
Description: http://forums.linhes.org/viewtopic.php?f=22&t=23906

Associated revisions
12/27/2013 08:58 am - jams
runit-scrips , mv_ir:  remove loading of lirc_serial by modules.mythvantage, the run script takes care of loading with the correct values.

Add more debugging to remotes log

refs #950

12/30/2013 10:27 am - jams
runit-scripts:  remotes, add more debugging and unload lirc_serial before load

refs #950

History
12/27/2013 04:18 pm - tama103
- File remotes.log.boot added

- File remotes.log.works added

As requested per the forum. Thanks so much for your work on this!

12/28/2013 06:36 am - jams
According to log.boot lirc_serial is still being loaded before remotes has a chance to run.
Are you sure that /etc/modules.mythvantage is not loading lirc_serial?

Could you post another set of logs?
This time instead of using the service menu to get the remote working, try these steps.

sudo sv stop remotes
/usr/bin/rmmod lirc_serial
sudo sv start remotes

if that works then we need to find where lirc_serial is being loaded, OR you could add the rmmod line to the remotes run script.

12/28/2013 11:30 am - tama103
- File remotes.log.svstart added
So, things still do not work, even after the command above in the terminal.  I have attached the log from attempting to start the remote through the 
terminal.

I will recap what I need to do to get things working, as this might shed some light on the issue and the fix. (My serial receiver is on ttyS1)

1.) No matter what serial port is set in the Linhes service menu for the serial receiver, a reboot causes the remote to be non-responsive.  To get it to 
work again I need to go to the service menu and change the serial port from the correct receiver (ttyS1) to any other receiver (ttyS0, ttyS2, ttyS3) and 
save.
2.) Once this is done, the remote still does not work.  I need to go back into the service menu and change the serial reciever back to ttyS1 and save.  
After doing this, the remote will work!

When I go into /etc/modules.mythvantage there is one line

[code] Lirc_serial   #lirc [/code]

When I comment this line out, and reboot (regardless if the remote is working or not working) the line remains commented out.  However, once I repeat 
steps 1 and 2 above to get the remote working again, the modules.mythvantage file is replaced with the original code (without the comment #).

12/28/2013 07:25 pm - jams
Something odd is happening, so I added more debugging.
update runit-scripts to runit-scripts-8.1-7  and report back with the same two log files boot and -works.

For reference the line in /etc/modules_mythvantage keeps coming back because LinHES-config was not updated.  The latest version removed that last 
bit of code.

01/03/2014 07:32 am - tama103
- File remotes.log.boot2 added

- File remotes.log.works2.ttyS0 added

- File remotes.log.works3.ttyS0.rebooted added

Alright, sorry for the delay, life got a little busy.

The latest scripts fixed the issue!  Prior to the update my serial receiver would only work as ttyS1, now it only works as ttyS0, kind of strange but all is 
well.

Description of new logs attached:
"remotes.log.boot2" After updating the runit-scripts and rebooting (serial receiver set to ttyS1 in service menu)
"remotes.log.works2.ttyS0" After latest runit-script applied AND after switching to ttyS0 in the service menu.
"remotes.log.works2.ttyS0.rebooted"  A reboot after applying the latest runit scripts and switching serial receiver from ttyS1 to ttyS0 in the service 
menu.

01/03/2014 09:49 am - jams
- Status changed from In Progress to Closed

pkg is currently in the 8.1 repo.
Files
remotes.log.boot 1.5 kB 12/27/2013 tama103
remotes.log.works 1.4 kB 12/27/2013 tama103
remotes.log.svstart 1.4 kB 12/28/2013 tama103
remotes.log.boot2 2.9 kB 01/03/2014 tama103
remotes.log.works2.ttyS0 2.9 kB 01/03/2014 tama103
remotes.log.works3.ttyS0.rebooted 2.7 kB 01/03/2014 tama103
